services:
  _defaults:
    autowire: true
    autoconfigure: true

  Comsa\SuluReservations\Controller\:
    resource: '../../Controller'
    tags: [ 'controller.service_arguments', 'constroller.service_subscriber' ]
    calls:
      - [ setContainer, [ '@Psr\Container\ContainerInterface' ] ]

  Comsa\SuluReservations\Controller\Admin\ReservationController:
    arguments:
      - '@fos_rest.view_handler.default'
      - '@sulu_core.doctrine_list_builder_factory'
      - '@sulu_core.list_builder.field_descriptor_factory'
      - '@sulu_core.rest_helper'
      - '@comsa.re.service.reservation'
    tags:
      - { name: sulu.context, context: 'admin' }
    public: true

  Comsa\SuluReservations\Controller\Admin\ReservableController:
    arguments:
      - '@fos_rest.view_handler.default'
      - '@sulu_core.doctrine_list_builder_factory'
      - '@sulu_core.list_builder.field_descriptor_factory'
      - '@sulu_core.rest_helper'
      - '@sulu_core.webspace.webspace_manager'
      - '@comsa.re.service.reservable'
      - '@event_dispatcher'
    tags:
      - { name: sulu.context, context: 'admin' }
    public: true

  Comsa\SuluReservations\Controller\Admin\TaxCategoryController:
    arguments:
      - '@fos_rest.view_handler.default'
      - '@sulu_core.doctrine_list_builder_factory'
      - '@sulu_core.list_builder.field_descriptor_factory'
      - '@sulu_core.rest_helper'
      - '@comsa.re.service.tax_category'
    tags:
      - { name: sulu.context, context: 'admin' }
    public: true

  Comsa\SuluReservations\Controller\Admin\SettingController:
    arguments:
      - '@fos_rest.view_handler.default'
      - '@sulu_core.doctrine_list_builder_factory'
      - '@sulu_core.list_builder.field_descriptor_factory'
      - '@sulu_core.rest_helper'
      - '@comsa.re.service.setting'
      - '@comsa.re.service.payment_method'
    tags:
      - { name: sulu.context, context: 'admin' }
    public: true

  Comsa\SuluReservations\Controller\ReservationController:
    arguments:
      - '@event_dispatcher'
      - '@session'
      - '@comsa.re.manager.reservation'
      - '@comsa.re.service.reservable'
      - '@comsa.re.service.reservation'
      - '@doctrine.orm.entity_manager'
      - '@comsa.re.service.option'
    tags: [ 'controller.service_arguments' ]
    calls:
      - [ setContainer, [ '@Psr\Container\ContainerInterface' ] ]

  Comsa\SuluReservations\Controller\PaymentController:
    arguments:
      - '@comsa.re.manager.reservation'
      - '@comsa.re.service.payment'
      - '@comsa.re.service.reservation'
    tags: [ 'controller.service_arguments', 'controller.service_subscriber' ]
    calls:
      - [setContainer, ['@Psr\Container\ContainerInterface']]
